[linux-dvb] pluto2 CVS and 2.6.11.5 errors

Michal Semler cijoml at volny.cz
Fri Apr 1 00:17:22 CEST 2005


I compiled it with 2.6.11.5 vanilla so this is compatible kernel, but I had to 
set =n to get modules to load

Freezing makes me sad :(

Michal

Dne čt 31. března 2005 18:49 Kenneth Aafløy napsal(a):
> Hi,
>
> On Thursday 31 March 2005 14:57, Michal Semler wrote:
> > > > I have problems with 2.6.11.5, todays CVS of dvb-kernel and pluto2
> > > > driver:
> > > >
> > > > compiled fresh 2.6.11.5,
> > > > cvs update dvb-kernel
> > > > compiled it
> > > > cp all .ko modules to 2.6.11.5 lib directory
> > > > depmod -a
> > > > modprobe pluto2
> > > >
> > > > and in dmesg I only see:
> > > >
> > > > pluto2: disagrees about version of symbol dvb_register_adapter
> > > > pluto2: Unknown symbol dvb_register_adapter
> > >
> > > Do you have old dvb modules in
> > > /lib/modules/2.6.11.5/kernel/drivers/media/dvb/ ?
> > >
> > > Remove them.
> >
> > I removed them :) Problem was in
> >
> > > CONFIG_MODVERSIONS=y
> > > CONFIG_MODULE_SRCVERSION_ALL=y
> >
> > As Andreas told me.
> >
> > Now pluto2 module gets to load, but imeditially after pressing enter,
> > kernel totally freezes and nothing is written into console :(
>
> Is this your settings now? Or did you disable modversions?
> They are there to protect you from loading modules built with incompatible
> sources, so if you remove those that protection goes away, and as a result
> you will be experiencing a lot of strange problems.
>
> Kenneth
>
> _______________________________________________
> linux-dvb mailing list
> linux-dvb at linuxtv.org
> http://www.linuxtv.org/cgi-bin/mailman/listinfo/linux-dvb

-- 
S pozdravem

Michal Semler




More information about the linux-dvb mailing list